Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class DefaultDynamicMethods

- org.codehaus.groovy.grails.commons.metaclass.DefaultDynamicMethods

- Simple concrete class implementation of AbstractDynamicMethods class.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDynamicMethods` | `clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultDynamicMethods (java.lang.Class<?> theClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethods` | `addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultDynamicMethods(java.lang.Class<?> theClass)